Name:           tcpreen
Version:        1.4.4
Release:        1
Summary:        A TCP/IP re-engineering and monitoring program
License:        GPLv2
Group:          Applications/Internet
URL:            http://www.remlab.net/tcpreen/
Source0:        http://www.remlab.net/files/tcpreen/stable/%{name}-%{version}.tar.bz2
Source1:        http://www.remlab.net/files/tcpreen/stable/%{name}-%{version}.tar.bz2.asc
Source2:        %{name}-%{version}-config.h
Patch0:         %{name}-%{version}-aix.patch

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libpcap-devel >= 1.4.0-1
BuildRequires:  gettext
Requires:       libpcap >= 1.4.0-1
Requires:       gettext

%description
TCPreen is a simple tool to monitor and analyze data transmitted between
clients and servers through connection-oriented streams data such as a TCP
sessions; it supports TCP over either IPv4 or IPv6. This tool focuses on
the data stream (software/socket layer), not on the lower level transmission
protocol as packet sniffers do. 


%prep
%setup -q
%patch0


%build
export CC=xlc_r

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

cp %{SOURCE2} config.h

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue Jul 29 2014 Michael Perzl <michael@perzl.org> - 1.4.4-1
- first version for AIX V5.1 and higher
